Class | TMail::MimeVersionHeader
In: | lib/tmail/header.rb
Parent: | StructuredHeader

### Methods

major major= minor minor= version

### Constants

PARSE_TYPE | = | :MIMEVERSION

### Public Instance methods

major()

[Source]

    # File lib/tmail/header.rb, line 703
        def major
          ensure_parsed
          @major
        end

major=( arg )

[Source]

    # File lib/tmail/header.rb, line 708
        def major=( arg )
          ensure_parsed
          @major = arg
        end

minor()

[Source]

    # File lib/tmail/header.rb, line 713
        def minor
          ensure_parsed
          @minor
        end

minor=( arg )

[Source]

    # File lib/tmail/header.rb, line 718
        def minor=( arg )
          ensure_parsed
          @minor = arg
        end

version()

[Source]

    # File lib/tmail/header.rb, line 723
        def version
          sprintf('%d.%d', major, minor)
        end

[Validate]